export declare const SEVERITY_LEVELS: {
    VALID: number;
    WARNING: number;
    FAILURE: number;
};
/**
 * Representation of
 * https://code.vereign.com/light/documentation/-/blob/master/Validation.md#verification-table
 *
 * Values meanings:
 * 0 - false
 * 1 - true
 * -1 - false/true
 *
 * By indices:
 * 0 - html valid
 * 1 - plain valid
 * 2 - pseudoPlain valid
 * 3 - attachments valid
 */
export declare const SEVERITY_STATES: number[][];
export declare const SEVERITY_LEVEL_PER_STATE: number[];
export declare const SEVERITY_MESSAGE_PER_STATE: string[];
export declare const findSeverityStateIndex: (htmlValid: boolean, plainValid: boolean, pseudoPlainValid: boolean, attachmentsValid: boolean) => number;
