/**
 * Utility implementing Rabin-Karp algorithm
 * https://en.wikipedia.org/wiki/Rabin%E2%80%93Karp_algorithm
 */
export declare const findRKASubstring: (string: string, rabinFingerprint: string, substringSize: number) => string;
declare const _default: {
    getRabinFingerprint: (string: string) => string;
    searchFingerprintInText: (text: string, keywordHashHexString: string, size: number) => number;
    /**
     * @deprecated Will be deleted in version 1.0.1. Use getRabinFingerprint instead.
     */
    getRollingHash: (string: string) => string;
    /**
     * @deprecated Will be deleted in version 1.0.1. Use searchFingerprintInText instead.
     */
    searchHashInText: (text: string, keywordHashHexString: string, size: number) => number;
    findRKASubstring: (string: string, rabinFingerprint: string, substringSize: number) => string;
};
export default _default;
